#ifndef INDIVIDUAL_H_
#define INDIVIDUAL_H_

#include <vector>

#include "Chromosome.h"

class Individual
{
public:
  Individual(int, int);
  Individual(const Individual &);
  void setGenotype(int, const vector<const Chromosome*>&);
  void setGenotype(int, int, const Chromosome*);
  int getPloidy() const;
  int getHaploidNumber() const;
  const Chromosome * getGenotype(int, int) const;
  ~Individual();
private:
  std::vector<Chromosome**> _genome;
  int _ploidy;
  int _haplnum;
};

#endif /* INDIVIDUAL_H_ */
